| All Verbs | /RestApi/sitefinity/inlineediting/temp/{ItemId} | ||
|---|---|---|---|
| All Verbs | /RestApi/sitefinity/inlineediting |
using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.Services.InlineEditing.Messages;
using Telerik.Sitefinity.Services.InlineEditing;
namespace Telerik.Sitefinity.Services.InlineEditing
{
public partial class FieldValueModel
{
public virtual string Name { get; set; }
public virtual Object Value { get; set; }
public virtual FieldValueModel[] ComplexValue { get; set; }
}
}
namespace Telerik.Sitefinity.Services.InlineEditing.Messages
{
public partial class EditableItemMessage
{
public virtual string ItemId { get; set; }
public virtual string ItemType { get; set; }
public virtual string Provider { get; set; }
public virtual List<FieldValueModel> Fields { get; set; }
}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/sitefinity/inlineediting/temp/{ItemId} HTTP/1.1
Host: www.imglobal.com
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length
{"ItemId":"String","ItemType":"String","Provider":"String","Fields":[{"Name":"String","Value":{},"ComplexValue":[{"Name":"String","Value":{},"ComplexValue":[{"Name":"String","Value":{},"ComplexValue":[{}]}]}]}]}
HTTP/1.1 200 OK Content-Type: text/jsonl Content-Length: length "00000000-0000-0000-0000-000000000000"